Bug 817557 - unable to export or unexport individually to IPv6 addrs or subnets
unable to export or unexport individually to IPv6 addrs or subnets
Status: CLOSED UPSTREAM
Product: Fedora
Classification: Fedora
Component: nfs-utils (Show other bugs)
rawhide
Unspecified Unspecified
low Severity low
: ---
: ---
Assigned To: Jeff Layton
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-04-30 09:35 EDT by Jeff Layton
Modified: 2014-03-20 15:50 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-03-20 15:50:46 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Jeff Layton 2012-04-30 09:35:39 EDT
It's not possible to export or unexport to an IPv6 address or subnet, due to
some hardcoded parsing rules in exportfs() and unexportfs():

# exportfs -u 2001:470:8:d63::/64:/scratch
exportfs: Invalid unexporting option: 2001

# exportfs -u '[2001:470:8:d63::/64]:/scratch'
exportfs: Invalid unexporting option: [2001

...the reason for the failure is this chunk of code at the top of both functions:

        if ((path = strchr(arg, ':')) != NULL)
                *path++ = '\0';

        if (!path || *path != '/') {
                xlog(L_ERROR, "Invalid unexporting option: %s", arg);
                return;
        }

...though I'm not exactly clear on how we should be parsing this. How do we
tell the difference between the ":/path" and ":/netmask" ? Maybe we should
require that the addr and netmask be inside square brackets?
Comment 1 Fedora End Of Life 2013-04-03 16:05:58 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 19 development cycle.
Changing version to '19'.

(As we did not run this process for some time, it could affect also pre-Fedora 19 development
cycle bugs. We are very sorry. It will help us with cleanup during Fedora 19 End Of Life. Thank you.)

More information and reason for this action is here:
https://fedoraproject.org/wiki/BugZappers/HouseKeeping/Fedora19
Comment 2 Jeff Layton 2014-03-20 15:50:46 EDT
Looks like Chuck has done some patches for this, so I'll move this to a resolution of UPSTREAM. I assume they should make rawhide in the not too distant future.

Note You need to log in before you can comment on or make changes to this bug.